
SoundSoftware Code Site - Feature #64
Terms & Conditions
2011-01-20 01:38 PM - Chris Cannam

Status: Closed Start date: 2011-01-20
Priority: Urgent Due date:
Assignee: Chris Cannam % Done: 90%
Category: Estimated time: 0.00 hour
Target version:
Description

We need to insert an "acceptance of terms & conditions" page somewhere into the registration process.

History
#1 - 2011-01-26 03:30 PM - Chris Cannam
- Assignee set to Luis Figueira
- Priority changed from High to Urgent

I think this has higher priority than #71 and its subtasks, but lower priority than finishing #55.

#2 - 2011-02-03 05:20 PM - Luis Figueira
- Status changed from New to In Progress
- % Done changed from 0 to 70

The checkbox and validations have been implemented - can be seen in my testsite.
I have 2 questions, though: 
    1. where should I store the T&C "text"? DB would be my first guess
    2. instead of a link, what are your feelings on a read only text area, with an height of ~10 lines, right above the checkbox?

#3 - 2011-02-03 05:34 PM - Chris Cannam

Cool, I'll give it a test, thanks.

An aside about branches: I think the feature_64 branch should really have been branched from the luisf branch head, not from feature_55.  You could
have merged feature_55 back to luisf first if you wanted but I'm not so sure about creating feature branches from other feature branches.  (I did this
recently, but that was for a sub-feature -- and even then I forgot which branch I was on, and ended up committing to the child branch when I should
have been committing to the parent!)

I think the idea should be to have the luisf / cannam branches as integration branches, regularly updated from live, and then to make the feature
branches mostly sprout directly from these and persist only for a short time before being merged back in again and closed.

Your questions:

1a. I think the text next to the check box (that asks for a confirmation, and includes the T&C link) should come from a label in the translations file

1b. I think the T&C link itself should simply point to a Wiki page on this project, at least in the first instance

2. I don't like that -- I don't want to clutter the page any more than we have to.  I think the T&Cs either have to be on a separate form that you click
through after the first registration page, or else should be simply linked to as we discussed.

In principle, I think, this feature shouldn't require any change to the database -- if a user is registered at all then they must have accepted the T&Cs, so
there's no need to record whether they have accepted them or not (unless just for certainty's sake and to cover ourselves in case of dispute?); and the
T&C text would just be in a wiki page with the link text in a translation file, so no database stuff there.

#4 - 2011-02-03 05:41 PM - Chris Cannam

The implementation in the test site looks fine to me.  Just needs something to link to.  Perhaps just the page we already have the draft T&#38;Cs in .

#5 - 2011-02-03 05:48 PM - Chris Cannam

A bug.  This is probably a bug in #55 but I've just noticed it because of testing this feature:

    -  go to Register page
    -  fill in the whole form but don't check the T&Cs box; be sure to change the institution to something memorable
    -  submit
    -  page is correctly rejected, but when it comes back with the rejection note, the institution has been reset to the University of Aberdeen (not the one
you actually selected).

This just bit me when registering a test user -- I didn't spot that the institution had been reset until after I'd already fixed the errors and hit Submit again,
so I ended up with the user having the wrong institution.  It's particularly dangerous since the one that comes back is a "valid" institution (University of
Aberdeen) instead of the "safe" default ("Please select"), so it will be happily accepted when you resubmit without noticing it.

#6 - 2011-02-07 12:31 PM - Luis Figueira
- Status changed from In Progress to Feedback
- Assignee changed from Luis Figueira to Chris Cannam
- % Done changed from 70 to 90

Available to test in my test server.

#7 - 2011-02-07 01:59 PM - Chris Cannam
- Status changed from Feedback to Closed

Is good.  Merged, now live.
